<?xml version="1.0" encoding="UTF-8"?>
<scr:component xmlns:scr="http://www.osgi.org/xmlns/scr/v1.3.0" name="com.liferay.change.tracking.internal.closure.CTClosureFactoryImpl" immediate="true">
  <service>
    <provide interface="com.liferay.change.tracking.closure.CTClosureFactory"/>
  </service>
  <reference name="_ctCollectionPersistence" interface="com.liferay.change.tracking.service.persistence.CTCollectionPersistence" field="_ctCollectionPersistence"/>
  <reference name="_ctEntryLocalService" interface="com.liferay.change.tracking.service.CTEntryLocalService" field="_ctEntryLocalService"/>
  <reference name="_tableReferenceDefinitionManager" interface="com.liferay.change.tracking.internal.reference.TableReferenceDefinitionManager" field="_tableReferenceDefinitionManager"/>
  <implementation class="com.liferay.change.tracking.internal.closure.CTClosureFactoryImpl"/>
</scr:component>
